{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To create a new Droplet, send a POST request to `/v2/droplets` setting the\nrequired attributes.\n\nA Droplet will be created using the provided information. The response body\nwill contain a JSON object with a key called `droplet`. The value will be an\nobject containing the standard attributes for your new Droplet. The response\ncode, 202 Accepted, does not indicate the success or failure of the operation,\njust that the request has been accepted for processing. The `actions` returned\nas part of the response's `links` object can be used to check the status\nof the Droplet create event.\n\n### Create Multiple Droplets\n\nCreating multiple Droplets is very similar to creating a single Droplet.\nInstead of sending `name` as a string, send `names` as an array of strings. A\nDroplet will be created for each name you send using the associated\ninformation. Up to ten Droplets may be created this way at a time.\n\nRather than returning a single Droplet, the response body will contain a JSON\narray with a key called `droplets`. This will be set to an array of JSON\nobjects, each of which will contain the standard Droplet attributes. The\nresponse code, 202 Accepted, does not indicate the success or failure of any\noperation, just that the request has been accepted for processing. The array\nof `actions` returned as part of the response's `links` object can be used to\ncheck the status of each individual Droplet create event.\n","properties":{"body":{"oneOf":[{"$ref":"#/definitions/droplet_single_create"},{"$ref":"#/definitions/droplet_multi_create"}]}},"required":[],"additionalProperties":false,"definitions":{"droplet_single_create":{"title":"Single Droplet Request","allOf":[{"type":"object","properties":{"name":{"type":"string","maxLength":255,"pattern":"^[a-zA-Z0-9]?[a-z0-9A-Z.\\-]*[a-z0-9A-Z]$","description":"The human-readable string you wish to use when displaying the Droplet name. The name, if set to a domain name managed in the DigitalOcean DNS management system, will configure a PTR record for the Droplet. The name set during creation will also determine the hostname for the Droplet in its internal configuration.","examples":["example.com"]}},"required":["name"]},{"$ref":"#/definitions/droplet_create"}]},"droplet_multi_create":{"title":"Multiple Droplet Request","allOf":[{"type":"object","properties":{"names":{"type":"array","items":{"type":"string","maxLength":255,"pattern":"^[a-zA-Z0-9]?[a-z0-9A-Z.\\-]*[a-z0-9A-Z]$"},"description":"An array of human human-readable strings you wish to use when displaying the Droplet name. Each name, if set to a domain name managed in the DigitalOcean DNS management system, will configure a PTR record for the Droplet. Each name set during creation will also determine the hostname for the Droplet in its internal configuration.","examples":[["sub-01.example.com","sub-02.example.com"]]}},"required":["names"]},{"$ref":"#/definitions/droplet_create"}]},"droplet_create":{"type":"object","properties":{"region":{"type":"string","description":"The slug identifier for the region that you wish to deploy the Droplet in. If the specific datacenter is not not important, a slug prefix (e.g. `nyc`) can be used to deploy the Droplet in any of the that region's locations (`nyc1`, `nyc2`, or `nyc3`). If the region is omitted from the create request completely, the Droplet may deploy in any region.","examples":["nyc3"]},"size":{"type":"string","description":"The slug identifier for the size that you wish to select for this Droplet.","examples":["s-1vcpu-1gb"]},"image":{"oneOf":[{"type":"string"},{"type":"integer"}],"description":"The image ID of a public or private image or the slug identifier for a public image. This image will be the base image for your Droplet.<br>Requires `image:read` scope.","examples":["ubuntu-20-04-x64"]},"ssh_keys":{"type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"default":[],"description":"An array containing the IDs or fingerprints of the SSH keys that you wish to embed in the Droplet's root account upon creation. You must add the keys to your team before they can be embedded on a Droplet.<br>Requires `ssh_key:read` scope.","examples":[[289794,"3b:16:e4:bf:8b:00:8b:b8:59:8c:a9:d3:f0:19:fa:45"]]},"backups":{"type":"boolean","default":false,"description":"A boolean indicating whether automated backups should be enabled for the Droplet.","examples":[true]},"backup_policy":{"allOf":[{"$ref":"#/definitions/droplet_backup_policy"},{"description":"An object specifying the backup policy for the Droplet. If omitted and `backups` is `true`, the backup plan will default to daily."}]},"ipv6":{"type":"boolean","default":false,"description":"A boolean indicating whether to enable IPv6 on the Droplet.","examples":[true]},"monitoring":{"type":"boolean","default":false,"description":"A boolean indicating whether to install the DigitalOcean agent for monitoring.","examples":[true]},"tags":{"type":["array","null"],"items":{"type":"string"},"default":[],"description":"A flat array of tag names as strings to apply to the Droplet after it is created. Tag names can either be existing or new tags.<br>Requires `tag:create` scope.","examples":[["env:prod","web"]]},"user_data":{"type":"string","description":"A string containing 'user data' which may be used to configure the Droplet on first boot, often a 'cloud-config' file or Bash script. It must be plain text and may not exceed 64 KiB in size.","examples":["#cloud-config\nruncmd:\n  - touch /test.txt\n"]},"private_networking":{"type":"boolean","default":false,"description":"This parameter has been deprecated. Use `vpc_uuid` instead to specify a VPC network for the Droplet. If no `vpc_uuid` is provided, the Droplet will be placed in your account's default VPC for the region.","examples":[true]},"volumes":{"type":"array","items":{"type":"string"},"default":[],"description":"An array of IDs for block storage volumes that will be attached to the Droplet once created. The volumes must not already be attached to an existing Droplet.<br>Requires `block_storage:read` scpoe.","examples":[["12e97116-7280-11ed-b3d0-0a58ac146812"]]},"vpc_uuid":{"type":"string","description":"A string specifying the UUID of the VPC to which the Droplet will be assigned. If excluded, the Droplet will be assigned to your account's default VPC for the region.<br>Requires `vpc:read` scope.","examples":["760e09ef-dc84-11e8-981e-3cfdfeaae000"]},"subnet_uuid":{"type":"string","description":"An optional string specifying the UUID of the VPC subnet to which the Droplet will be assigned. If excluded, the Droplet will be assigned to a default subnet of the VPC.<br>Requires `vpc:read` scope.","examples":["9c7a0d63-3c4e-4d3d-9f56-3b0fb0e5e4a1"]},"with_droplet_agent":{"type":"boolean","description":"A boolean indicating whether to install the DigitalOcean agent used for providing access to the Droplet web console in the control panel. By default, the agent is installed on new Droplets but installation errors (i.e. OS not supported) are ignored. To prevent it from being installed, set to `false`. To make installation errors fatal, explicitly set it to `true`.","examples":[true]},"public_networking":{"type":"boolean","default":true,"description":"An optional boolean indicating whether this Droplet should be created with public networking or not. By default, all Droplets are created with public networking available. If explicitly set to `false`, only private networking will be enabled, and public networking will be disabled; currently this means that it will not have any public static or Reserved IPv4 or IPv6 address, nor can one be assigned later. If explicitly set to `false`, `ipv6` must also be `false`.","examples":[true]}},"required":["size","image"]},"droplet_backup_policy":{"type":"object","properties":{"plan":{"type":"string","enum":["daily","weekly"],"description":"The backup plan used for the Droplet. The plan can be either `daily` or `weekly`.","examples":["daily"]},"weekday":{"type":"string","enum":["SUN","MON","TUE","WED","THU","FRI","SAT"],"description":"The day of the week on which the backup will occur.","examples":["SUN"]},"hour":{"type":"integer","enum":[0,4,8,12,16,20],"description":"The hour of the day that the backup window will start.","examples":[0]}}}}},"name":"Create a New Droplet","id":"digitalocean.droplets_create","example":{},"maxRequests":1,"summary":false}}